Bug 1344857 - pleae cherry-pick d4ab02c from upstream
Summary: pleae cherry-pick d4ab02c from upstream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: doxygen
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-11 18:54 UTC by Ferry Huberts
Modified: 2016-06-24 01:56 UTC (History)
2 users (show)

Fixed In Version: doxygen-1.8.11-4.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-24 01:56:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Ferry Huberts 2016-06-11 18:54:59 UTC
Description of problem:
A doxygen bug is biting me.

See
https://lists.debian.org/debian-mentors/2016/05/msg00061.html
https://github.com/doxygen/doxygen/commit/d4ab02c2da7df472bebbf2724419ba00f2de229c


Please cherry-pick commit d4ab02c2da7df472bebbf2724419ba00f2de229c to fix the bug.


Version-Release number of selected component (if applicable):
doxygen-1.8.10-6.fc23.x86_64

BTW 1.8.11 was released on dec 29, 2015...


How reproducible:
Always
Ran into it on an internal project. Can;t share that code, sorry.

Comment 1 Than Ngo 2016-06-13 16:16:45 UTC
it's fixed in f24 and rawhide. I built new package with the fix, could you please test if the new packages fixes the reported issue for you?

thanks

download url:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14474220

Comment 2 Ferry Huberts 2016-06-13 18:43:43 UTC
Ok it works.

But I also had to install

texlive-tabu
texlive-adjustbox

It seems that doxygen uses those in its 'refman.tex' output.
Maybe add a dependency?

Comment 3 Fedora Update System 2016-06-15 13:18:13 UTC
doxygen-1.8.11-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-28908d3359

Comment 4 Fedora Update System 2016-06-15 17:27:15 UTC
doxygen-1.8.11-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-28908d3359

Comment 5 Fedora Update System 2016-06-24 01:56:44 UTC
doxygen-1.8.11-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.